%global fontname kalapi
%global fontconf 67-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.1
Release:        2%{?dist}
Summary:        OpenType sanserif font for Gujarati script
Group:          User Interface/X
License:        OFL
URL:            https://github.com/gujaratilexicon
Source0:        https://github.com/downloads/gujaratilexicon/font-kalapi/font-kalapi-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: fontforge
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Source1: 67-kalapi.conf
Source2: Makefile
Patch1: font-name.patch


%description
This package provides a free Gujarati script TrueType/OpenType font.


%prep
%setup -q -n font-kalapi
mv KalapiUnicode.sfd Kalapi.sfd
%patch1 -p1 -b .1-changing-font-name


%build
cp -p %{SOURCE1}  %{SOURCE2} .
make

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc COPYRIGHT OFL.txt README.md


%changelog
* Fri Jul 27 2012 Pravin Satpute <psatpute@redhat.com> - 0.1-2
- Dropped foundry name
- updated as per suggestions in package review
- updated as per upstream
* Mon Jul 16 2012 Pravin Satpute <psatpute@redhat.com> - 0.1-1
- Initial release
